#!/usr/bin/python
#
# dh2hms 
# Program to convert decimal hours to hours, minutes and seconds
# input: dhours (decimal hours)
# output: hh,mm,ss.ss (24 hour clock)
#
# Equations from Practical Astronomy with your Calculator by Peter Duffett-Smith
#
# Written by Y.Tsapras Feb 2009
# Last modified by Y. Tsapras 18 Apr 2011
####################################################################################

# Import required modules
from sys import argv, exit


####################################################################################
# Function dh2hms
# Converts decimal hours to hours, minutes and seconds
def dh2hms(dhours):
    # Catch exception if input is not a number
    try:
        float(dhours)
	if ( float(dhours) < 0 or float(dhours) > 24):
	    print "Input must be a valid hour number between 0 and 24."
	    exit()
    except ValueError:
        print "Input must be a valid hour number between 0 and 24."
	exit()
    
    hh = int(dhours)
    A = (dhours - hh) * 60
    mm = int(A)
    ss = (A - mm) * 60
    #print '%d hrs, %d min %.2f sec' % (hh, mm, ss)
    return hh, mm, ss


####################################################################################
# Commandline run section
if __name__ == '__main__':
    if ( len(argv) != 2 ): 
        print "Error: Incorrect number of arguments. Input must be a number (hours)."
	print "Example calling sequence: python dh2hms.py 12.0"
	exit()
    
    try:
        dh2hms( float(argv[1]) )
	hh, mm, ss = dh2hms( float(argv[1]) )
	print '%d hrs, %d min %.2f sec' % (hh, mm, ss)
    except ValueError:
        print "Input must be a valid hour number between 0 and 24."
	exit()
