#!/usr/bin/python
#
# GST2LST
# Program to convert Greenwich mean sidereal time to local sidereal time
# input: GST (in hr, min, sec), longitude, direction (0 = W, 1 = E)
# output: LST (in hr, min, sec) 
# Equations from Practical Astronomy with your Calculator by Peter Duffett-Smith
# Written by Y.Tsapras Feb 2009

from hms2dh import hms2dh
from dh2hms import dh2hms
import sys

####################################################################################
# Function GST2LST starts here
def GST2LST(hrs, mins, sec, longitude, direction):
    # Convert to decimal hours
    GST = hms2dh(hrs,mins,sec)
    long_diff = float(longitude)/15 
    if (direction == 1):
        nGST = GST + long_diff
    elif (direction == 0):
        nGST = GST - long_diff
    else:
        print '!!!Error!!! direction argument must be 0(=W) or 1(=E).' 
        sys.exit()

# This is the LST in decimal hours
    if (nGST > 24):
        LST = nGST - 24
    elif (nGST < 0):
        LST = nGST + 24
    else:
        LST = nGST

# Convert result to hrs min sec
    LST = dh2hms(LST)
    print 'Local sidereal time:', LST
    return LST
