#!/usr/bin/python
#
# LST2GST
# Program to convert Local sidereal time to Greenwich mean sidereal time
# input: LST (in hr, min, sec), longtitude, direction (0 = W, 1 = E)
# output: GST (in hr, min, sec) 
# Equations from Practical Astronomy with your Calculator by Peter Duffett-Smith
# Written by Y.Tsapras Feb 2009
# Modified by Y.Tsapras 21 May 2010

from hms2dh import hms2dh
from dh2hms import dh2hms
import sys


####################################################################################
# Function LST2GST starts here
def LST2GST(hrs, mins, sec, longtitude, direction):
    # Convert to decimal hours
    LST = hms2dh(hrs, mins, sec)
    long_diff = float(longtitude) / 15.0
    # If the dicection is East, subtract, otherwise (West),add.
    if (direction == 1):
        nLST = LST - long_diff
    elif (direction == 0):
        nLST = LST + long_diff
    else:
        print '!!!Error!!! direction argument must be 0(=W) or 1(=E).' 
        sys.exit()

# This is the GST in decimal hours
    if (nLST >= 24):
        GST = nLST - 24
    elif (nLST < 0):
        GST = nLST + 24
    else:
        GST = nLST

# Convert result to hrs min sec
    GST = dh2hms(GST)
    print 'Greenwich mean sidereal time: %d %d %.2f' % (GST[0],GST[1],GST[2])
    return GST
