#!/usr/bin/python
#
# dms2dd 
# Program to convert degrees, arcminutes and arcseconds to decimal degrees
# input: deg,arcmin,arcsec.ss
# output: ddeg decimal degrees
# Equations from Practical Astronomy with your Calculator by Peter Duffett-Smith
# Written by Y.Tsapras Feb 2009
# Modified by Y. Tsapras 18 May 2010
# Modified by Y. Tsapras 6 Apr 2011

# Import required modules
from sys import exit

# Sanity check procedure to ensure valid input
def do_check(degr,mm,ss):
    for val in [degr,mm,ss]:
 	if (type(val).__name__=='int' or  type(val).__name__=='float'):
 	    check_id = '0'
 	    continue
 	else:
 	    check_id = '1'
	    print "Data type is invalid. %s is not an integer or floating point number." % str(val)
	    exit()
    #return check_id


# Begin dms2dd
def dms2dd(degr,mm,ss):
    # run the sanity check
    do_check(degr,mm,ss)
    
    if (degr >= 0):
        ddeg = degr + abs(mm)/60.0 + abs(ss)/3600.0
        #print 'In decimal degrees: %.3f' % ddeg
        return ddeg
    else:
        ddeg = -(abs(degr) + abs(mm)/60.0 + abs(ss)/3600.0) 
        #print 'In decimal degrees: %.3f' % ddeg
        return ddeg
