#!/usr/local/bin/python
#
# julday 
# Program to convert a given calendar date to a Julian date
# input: day,month,year (also accepts decimal days)
# output: JD 
# Equations from Practical Astronomy with your Calculator by Peter Duffett-Smith
# Written by Y.Tsapras Feb 2009

# Import required libraries
import sys

def julday(dd, mm, yyyy):
    if (mm == 1) or (mm == 2):
        yyyy = yyyy - 1
        mm = mm + 12
 
    A = int(yyyy / 100)
    B = 2 - A + int(A/4)

    if (yyyy < 0):
        C = int((365.25 * yyyy) - 0.75)
 
    else:
        C = int(365.25 * yyyy)
        D = int(30.6001 * (mm + 1))

    JD = B + C + D + dd + 1720994.5
    print 'JD=', JD
    return JD

# Allow calls from the prompt
# e.g python julday.py 21 5 2010
if __name__ == "__main__":
    dd, mm, yyyy = float(sys.argv[1]), int(sys.argv[2]), int(sys.argv[3])
    julday(dd, mm, yyyy)
