#!/usr/bin/python
#
# obliq_eclip
# Program to calculate the value of the mean obliquity of the ecliptic
# input: date (JD)
# output: obliquity (in decimal degrees)
# "obliquity" is the obliquity of the ecliptic, the angle between the planes of
#  equator and the ecliptic. 
# Equations from Practical Astronomy with your Calculator by Peter Duffett-Smith
# Written by Y.Tsapras Feb 2009

#################################################################################
# Function obliq_eclip starts here
def obliq_eclip(JD):
    T = (JD - 2451545.0) / 36525.0
    T2 = T * T
    T3 = T2 * T
    obliquity = (23.439292 - (46.815 * T + 0.0006 * T2 - \
                 0.00181 * T3) / 3600.0 ) # in decimal degrees
    #print 'Obliquity = %.4f degrees' % obliquity
    return obliquity
