#!/usr/local/bin/python
#
# rd_tables - Read file module
# Input : a text file with x columns and y lines
# Output: 'out_table' with each element being an array 
#  corresponding to each line of the input file
#  and 'elements' being the total number of lines.
# calling example ->
# [a,b] = rd_tables.rd_tables("file.txt")

# Written by Y.Tsapras Feb 2009

def rd_tables(file_in):
    out_table = [] # set up blank array to hold the elements
    elements = 0
    infile = open(file_in,'r')   # open the input file for reading
    rows = infile.readlines()    # read the whole thing into a list
    for this_element in rows:
        element_values = this_element.split()
        out_table.append(element_values)
    elements = len(out_table)
    return out_table, elements
