#!/usr/bin/python
#
# ut2gst
# Program to convert universal time to Greenwich mean sidereal time
# input: hrs,min,sec,dd,mm,yyyy 
# output: GST (in hr, min, sec)
# Equations from Practical Astronomy with your Calculator by Peter Duffett-Smith
# Written by Y.Tsapras Feb 2009

from julday import julday
from hms2dh import hms2dh
from dh2hms import dh2hms

####################################################################################
# Function ut2gst starts here
def ut2gst(hrs, mins, sec, dd, mm, yyyy):
    jd = julday(dd,mm,yyyy)
    S = jd - 2451545.0
    T = S / 36525.0
    T0 = 6.697374558 + (2400.051336 * T) + (0.000025862 * T * T)

# Reduce the result to the range 0-24 by adding or subtracting multiples of 24
    checking = True
    while checking:
        if (T0 < 0):
            T0 = T0 + 24
        elif (T0 > 24):
            T0 = T0 - 24
        else:
            checking = False #This causes the while loop to stop

# Convert UT to decimal hours
    utdh = hms2dh(hrs,mins,sec)
    utdh = utdh * 1.002737909
    T0 = T0 + utdh

# Reduce the result to the range 0-24 by adding or subtracting multiples of 24
# The result is the GST
    checking = True
    while checking:
        if (T0 < 0):
            T0 = T0 + 24
        elif (T0 > 24):
            T0 = T0 - 24
        else:
            checking = False #This causes the while loop to stop
    GST = T0

# Convert the result to hrs, min, sec
    GST = dh2hms(GST)
    print 'Greenwich mean sidereal time:', GST
    return GST

